Get transcription status
curl --request GET \
--url https://api.importly.io/transcribe/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.importly.io/transcribe/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.importly.io/transcribe/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"jobId": "95be812f-4a2c-410a-9fcb-3ca5b445cc44",
"status": "completed",
"result": {
"text": "All right, so here we are, in front of the elephants\nthe cool thing about these guys is that they have really...\nreally really long trunks\nand that's cool\n(baaaaaaaaaaahhh!!)\nand that's pretty much all there is to say",
"source": "platform_captions",
"language": "en",
"duration": 19,
"data": {
"segments": [
{
"start": 1.2,
"end": 3.36,
"text": "All right, so here we are, in front of the elephants"
},
{
"start": 5.318,
"end": 7.974,
"text": "the cool thing about these guys is that they have really..."
},
{
"start": 7.974,
"end": 12.616,
"text": "really really long trunks"
},
{
"start": 12.616,
"end": 14.367,
"text": "and that's cool"
},
{
"start": 14.421,
"end": 15.733,
"text": "(baaaaaaaaaaahhh!!)"
},
{
"start": 16.881,
"end": 18.881,
"text": "and that's pretty much all there is to say"
}
]
},
"costInDollars": 0.01
}
}
}Transcripts
Get transcription status
Poll a transcription job until it’s completed or failed. Completed jobs carry the text and timestamped segments.
GET
/
transcribe
/
status
Get transcription status
curl --request GET \
--url https://api.importly.io/transcribe/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.importly.io/transcribe/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.importly.io/transcribe/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"jobId": "95be812f-4a2c-410a-9fcb-3ca5b445cc44",
"status": "completed",
"result": {
"text": "All right, so here we are, in front of the elephants\nthe cool thing about these guys is that they have really...\nreally really long trunks\nand that's cool\n(baaaaaaaaaaahhh!!)\nand that's pretty much all there is to say",
"source": "platform_captions",
"language": "en",
"duration": 19,
"data": {
"segments": [
{
"start": 1.2,
"end": 3.36,
"text": "All right, so here we are, in front of the elephants"
},
{
"start": 5.318,
"end": 7.974,
"text": "the cool thing about these guys is that they have really..."
},
{
"start": 7.974,
"end": 12.616,
"text": "really really long trunks"
},
{
"start": 12.616,
"end": 14.367,
"text": "and that's cool"
},
{
"start": 14.421,
"end": 15.733,
"text": "(baaaaaaaaaaahhh!!)"
},
{
"start": 16.881,
"end": 18.881,
"text": "and that's pretty much all there is to say"
}
]
},
"costInDollars": 0.01
}
}
}